%define module	xmldiff
%define name	python-%{module}
%define version 0.6.8
%define release %mkrel 5

Name:		    %{name}
Version:	    %{version}
Release:	    %{release}
Summary:	    Python classes to diff XML files
URL:		    http://www.logilab.org/projects/xmldiff
Source:		    ftp://ftp.logilab.org/pub/xmldiff/%{module}-%{version}.tar.gz
Patch:          %{module}-0.6.8-fix-build.patch
License:	    GPL
Group:		    File tools
BuildRequires:	python-devel

%description
XMLdiff is a python tool that figures out the differences between two similar
XML files, in the same way the diff utility does it for text files. It was
developed for the Narval project and could also be used as a library or as a
command line tool. It can work either with XML files or DOM trees

%files
%doc ChangeLog DEPENDS README README.xmlrev TODO
%{_bindir}/*
%{_datadir}/sgml/stylesheet/%{module}
%{py_platsitedir}/%{module}
%{py_platsitedir}/%{module}-*.egg-info

#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}
%patch -p 1

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --root=%{buildroot} --record=INSTALLED_FILES
rm -rf %{buildroot}%{_libdir}/python%{pyver}/site-packages/%{module}/test
chmod 755 %{buildroot}%{_bindir}/*



%changelog
* Thu Jun 23 2011 dmorgan <dmorgan> 0.6.8-5.mga2
+ Revision: 112850
- imported package python-xmldiff


* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.6.8-5mdv2010.0
+ Revision: 442548
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.6.8-4mdv2009.0
+ Revision: 259867
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.6.8-3mdv2009.0
+ Revision: 247740
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.8-1mdv2008.1
+ Revision: 136018
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.7-4mdv2007.0
- buildrequires python-devel

* Fri Aug 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.7-3mdv2007.0
- %%mkrel

* Fri May 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.7-2mdk 
- fix spec name
- don't add PKG-INFO in documentation

* Fri May 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.7-1mdk 
- first mdk release

